AutoCAD Inventor :: Create Plane And Mirror Solid?

Nov 5, 2012

create a plane and mirror a solid?

I am planning to have the following workflow:

Plane creation:

Through the z-axis and at an angle of 7,5° to the XZ-Plane

Naming the plane - Mirror Plane

Turning off the plane visibility

Mirror solid:

Add mirrored solid to the existing solid

Here is a sample ao the code...

Dim oDoc As PartDocument
oDoc = ThisApplication.ActiveDocument

Dim oCol As ObjectCollection
oCol = ThisApplication.TransientObjects.CreateObjectCollection

'This does not work...

oCol.Add(oDoc.ComponentDefinition.SurfaceBodies(1))

'Here I want to create a new plane

Dim oPlane As WorkPlane
oPlane = oDoc.ComponentDefinition.WorkPlanes(1)

Dim oMirror As MirrorFeature
oMirror = oDoc.ComponentDefinition.Features.MirrorFeatures.Add(oCol, oPlane, False, kOptimizedCompute)

I have also attached a simplified part file where the code has been copied inti the iLogic browser

View 1 Replies


ADVERTISEMENT

AutoCAD Inventor :: Unable To Mirror Solid?

Sep 3, 2013

This is a part from an inmported step file. The Inv assembly consists of 1047 part files.

I did the following:

Immediatley grounded all parts in the assembly.Opened the 8 (of the 1047) parts that came through as surfaces, all the rest are solid.

Found missing faces on all of them. I found the most useful tool was to create a series of section planes and do sketches with projected cut edges. Then export the sketches and open in autocad. This way I can see a simple line section view.

I set about replacing the missing faces to get the surface to a solid.After a few attempts I managed what you see below, a solid part in the browser. The part will now mirror as a new solid, but will not join. I have tried mirror as single solid, derive as single solid and combine. All Fail.

View 1 Replies View Related

AutoCAD Inventor :: Solid To Mid Plane Surface Converter?

Oct 19, 2010

Any program to convert 3D solids to a mid plane surfaces? We need our models in this form to do FEA work on them. I wanted to ask this question before I took on the task of trying to create one myself.

View 9 Replies View Related

AutoCAD Inventor :: Extend And Contract From A Work Plane While Editing A Solid

Aug 1, 2013

How to create a work plane, say, in the middle of solid while editing, to use the extend and contract commands using IV2014?  I'd like to avoid using Fusion as an option if possible.  This should really be an easy thing to pull off as many STLs are now available for 3D printing but simply need a quick stretch here and there to print accurately.

View 7 Replies View Related

AutoCad 3D :: 3DMIRROR Command To Mirror Magenta Box Along Zx Plane Defined By Middle Of Steel T-angle

Nov 13, 2013

Why can't I get the "3DMIRROR" command to mirror the magenta box along a zx-plane defined by the middle of the steel T-angle?

First, I use the ZX option, and after that fails to work, I try the 3-point option using a picked first point and two ortho-points to define a zx-plane.

Also, there's some randomness in the sense that some of the time the exact same series of steps will produce the correct result, but not this time, as the video below shows.

[URL]....

I'm also attaching the drawing in AutoCAD2010 format.

View 0 Replies View Related

AutoCAD Inventor :: Command MIRROR To Create A Symmetric Component From Existing Ipt

May 17, 2012

When I use the command MIRROR to create a symmetric component from existing ipt there are two problems:

1. in the existing ipt dwg the dimensions were lost, when I update the dwg;

2. in the iam that contains the mirrored component the constraints were lost, when I update the dwg.

View 4 Replies View Related

AutoCAD Inventor :: Create A Plane Tangent To 2 Cylinders?

Dec 28, 2012

I have 2 different diameter cylinders and I would like to create a plane that is tangent to both.

View 7 Replies View Related

AutoCAD Inventor :: Create Plane At The Angle Of Shape

Oct 25, 2012

I am trying to create two plane's one after the other like it is done in this video tutorial.

[URL]........

My problem begins with me only having 1 point on the part to pick for my 3 point plane command. In the video there is no bit where you are supposed to create a point but I'm thinking I wont be able to duplicate without doing something like that.

View 1 Replies View Related

AutoCAD Inventor :: Create Work Plane Perpendicular To A Surface?

Aug 20, 2012

How to create a work plane that is perpendicular to a surface? I'm trying to do this so that I can "split" the object into two separate entities where the plane is.

View 9 Replies View Related

AutoCAD Inventor :: Create A Plane In Assembly Linked To 3D Geometry

Sep 24, 2012

On one part, I have a bore hole drilled on a curved surface so the hole is actually an ellipse.

Now the other part I am trying to constrain together is the pipe that will be welded into the bore hole; so that is a simple circular pipe.

The issue is that the pipe has to be inserted 0.25" above the interior of the bore hole to allow for room for the weld. In order to do this I have tried to create a plane attached to the 3D ellipse and then constrain the pipe to be 0.25" above that plane. The problem is I cannot seem to create a plane attached to the 3D geometry; I cant even find a way to attach points, or pick the center point of the bore hole.

How to create a plane on 3D geometry and link it to said geometry. I'm using 2012, if that is necessary information.

View 3 Replies View Related

AutoCAD Inventor :: How To Create Symmetric Pattern Of Components Equally Mid Plane

Sep 14, 2009

I'm using Inventor 2009.

Imagine a flat, rectangular plate with origin plains located symmetrically down the middle of the plate. Place a component, say a small cube, and constrain it to the face of the plate and the origin planes so that it too is symmetrically located. I now wish to pattern this cube about the midplane and create a total of five instances. I select "Pattern Component" in assembly mode and select the cube. For direction 1, I put in two instances and select an edge of the plate so that the pattern is taken to the left of the midplane. For direction 2, I again select two instances but pick an edge so that the pattern is taken to the right of the midplane. I now should have a total of 5 cubes but I don't. I have 6.

The second pattern is actually a repeating pattern of the first which, in the end, creates too many cubes. Visually, it looks correct because the cubes are placed excatly on top of each other. Numercially, like in BOMS, it is not correct.

Is there a way to avoid these duplications?

View 8 Replies View Related

AutoCAD Inventor :: Work Plane Rotated At Angle To Another Plane And Passing Through Axis Of Cylinder

Jul 13, 2013

How to make a new work plane rotated at an angle to another plane and passing through the axis of a cylinder, or one of the main axes.On the plane commands, in V2013, i don't find an option for plane at an angle

View 1 Replies View Related

AutoCad 3D :: Make Vertical / Horizontal Section Plane Of 3D Solid

Apr 25, 2013

Is there any way to make a vertical or horizontal section plane of 3d solid leaving the rest of it like a solid?

Often I need to do pretty much complex view in which the same solid should be sectioned for half part of it and be solid for the rest. It is a common way to present solid draw but I can't do it with autocad 2013.

View 3 Replies View Related

AutoCAD Inventor :: How To Create The Solid From 2 Ellipses

Dec 21, 2011

I like to create a chin from 2 ellipses profile.  I used the Loft command and it does not allow me to complete the command.  Did I use the right command wrongly?  Or there is another way to do so?

View 4 Replies View Related

AutoCAD Inventor :: Create A Solid But It Will Not Sculpt

Nov 25, 2013

I used surfaces to try and create a solid but it will not sculpt...new to this feature...Can it be made into a solid the surfaces or is there another far better way to create?

View 9 Replies View Related

AutoCAD Inventor :: Create Mesh From Solid

Oct 17, 2012

I try to migrate our ObjectArx Api to Inventor. Therefore I need a function to create a mesh from a solid.

With Autocad .Net Api, I can use GetObjectMesh(DbObject obj, MeshFaceterData parameter). Does in the Inventor Api a similar function exist?

In the parameters I need to set the deviation in the same way as in the Autocad .Net Api.

Example:

FaceterDevNormal = 0.1;
FaceterDevSurface = 0.1;
FaceterMeshType = 2;

View 1 Replies View Related

AutoCAD Inventor :: Create Solid From Two Surfaces

Jan 10, 2013

I have two .dwg files that represent two different surfaces.  I would like to import each .dwg file into Inventor, then create a solid with the original surfaces serving as the top and bottom. I can send the .dwg files if necessary.

View 9 Replies View Related

AutoCAD Inventor :: Import DWG To Create Solid?

Feb 28, 2011

i need import a dwg to inventor for create a solid.

The problem is when a import the file, in the "layers and objects import options" , inventor don't show me some layers present in the dwg.

View 9 Replies View Related

After Effects :: Resize One Side Of Solid Without Mirror Effect?

Oct 28, 2013

i want resize solid, but just one side, like in photoshop. It is possible? When i try, its resize my solid in whole dimension.

View 4 Replies View Related

AutoCAD Inventor :: Unable To Create A Solid Extrusion

Dec 28, 2012

I have just downloaded an educational version of Inventor. Although I can create sketches I cannot extrude the sketch to form a solid. The origin arrow heads appear over size and it seems as if the origin plane is being extruded to form a solid!

View 2 Replies View Related

AutoCAD Inventor :: How To Create Circular Pattern Of Solid Object

Jan 9, 2012

How to create a Circular Pattern of the Solid Object by VBA. I tried it by calculation Polar Transformations but was unsuccessful.

Then Rotated the complete Solid Object which changed original location. Is there any way i can Change the Angle and Mirror instead of Making circular pattern.

View 1 Replies View Related

AutoCAD Inventor :: Create Sheet Metal Parts From Solid

Jan 25, 2012

I am trying to make a chute out of 4 pieces of sheet metal.  Is there a way to take a solid lofted part, shell it, and then break off each side of the the object for cutting and welding them together.  I have an example attached.

View 9 Replies View Related

AutoCAD Inventor :: Create A Wire Rope Solid To Cut Out Of Block

Oct 13, 2011

I just installed Inventor 2012 two days ago and obviously no training yet.  My boss asked me to do a part for GibbsCAM which includes a 7/8" left hand wire rope imprint in a block of steel for this afternoon's production.  I have my block done, what is the best way to do this?  I'm thinking create a wire rope solid to cut out of my block.  Would I use the thread tool: that's not the same but would it work?...  I don't need a representation.  I need the read thing that will work!  

View 2 Replies View Related

AutoCAD Inventor :: Create Solid Object That Can Be Used For Injection Molding?

Mar 20, 2012

I'm trying to create a solid object that can be used for injection molding. My office has Inventor, but I'm only familiar with 3D Max. If I create the object with Nurbs in 3D Max, can I export it so that Inventor reads it as a solid object, and if so, how?

View 1 Replies View Related

AutoCAD Inventor :: Create Simple Mold Using Solid Body And Split

May 14, 2013

if i draw up a 3d sold part as the finished part, can i then draw a new rectangle solid body over the top of this and split the new solid body using the part as the split tool?

the idea being that i am left with a rectangular plate with a female 3d impression of the finished part in the top.I can't seem to use the part as a split tool?

View 5 Replies View Related

AutoCAD Inventor :: Create Non-associative Solid Base Feature In Second Part

Sep 19, 2013

“Associative body copy API Sample” 2013 API help.

The above code in the API help shows how to do an associative or a non-associative copy in an assembly of one part into another part. ..BUT the non-associative copy does not always work correctly....

I have been testing this sample code and notice the following limitations with the lower part entitled “Create a non-associative solid base feature in the second part”...

The code uses the proxy body for the source object but it does not use the proxybody for the target object and therefore the relative positioning is wrong for the nonparametricbasefeature when it is created in the target object if the real target body is in a different place than the targetbodyproxy (e.g. it has been rotated/moved in assembly space).

I notice that if you perform this manually using the “copy object” button the relative positioning is maintained correctly even if both target and source objects have been rotated/moved in the assembly...

View 5 Replies View Related

AutoCAD Inventor :: Create Solid Using Inside Geometry Of Shell In 2011?

Jan 17, 2012

I'm trying to create a solid using the inside geometry of a shell in Inventor 2011. is there a simple way of doing this? i have attached the part i'm working on and need a solid that represents the free space inside the shell.

View 2 Replies View Related

AutoCAD Inventor :: Create Work Axis Where Work Plane Intersects Curved Surface?

Sep 9, 2013

I keep running into a situation where I would like to be able to create an edge or a work axis at the intersection of a work plane and the surface of the part.  I figured out a work around if the surface is flat, but I haven't figured out a work around for a curved surface.

How do I create work axis where work plane intersects curved surface?

Or put another way: How do I project intersection of work plane and curved surface onto the work plane in a 2D sketch?

I need to be able to draw a 2D sketch on the work plane, but get a perfectly matching projected line onto the work plane, from the curved surface, at the intersection of the curved surface and the work plane.

The attached jpg shows the intersection in question.  I circled it.

View 5 Replies View Related

AutoCAD Inventor :: Create Multiple Gear Components Just Like Configuration Table In Solid Works?

Dec 26, 2011

I want to create one Spur Gear in inventor with equations such that i can build more gears from this base model using excel table. For. Eg. I would like to create a gear with 40 No. of teeth of 10DP, and 20°PA, with Pitch Circle Dia, Base CIrcle Dia, Tooth Thickness based on spur gear calculations.

Now i would like to create a series of such spur gears with varying no. of teeth, i.e. 42, 44, 46, 48, 50..etc. Now if i change the No of teeth ,Accordingly the gear should modify its pitch dia, Base circle dia, Tooth Thickness which would be noted in the Equation.

how to create thes equations and use these in creating gear with different no. of teeth.

I have shown below list of gear data for various no. of gear.

View 8 Replies View Related

AutoCAD 2010 :: Cutting Solid Into Two With Non-planar Cutting Plane

Aug 2, 2012

Is there a way to cut a solid into two pieces using a non-planar cutting plane?  I have been tasked with calculating the volume of concrete damage in a chute block.  I have a sketch of the damage on the chute block.  I created the chute block as a solid and then drew the damaged area extents using plines.  This created non-planar plines.  Is there a way to get this to work that will allow me to see the volume of the concrete damage?  I need an easy way to do this, there are 50 chute blocks all the same size but with varying degrees of damage

View 1 Replies View Related

AutoCAD Architecture :: Option To Create Block And Never Changed Text When Mirror Or Rotate

Apr 13, 2013

i used autocad 2010  and when i create a new block and rotate in that block text hhave been changed by cad.

 is there any option to create block and never changed text when did mirror or rotate.

View 1 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved